using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Marker : MonoBehaviour
{
    [SerializeField] private float m_ttl;

    public void WakeUp()
    {
        StartCoroutine(Appear());
    }

    IEnumerator Appear()
    {
        yield return new WaitForSeconds(m_ttl);
        Debug.Log("Disappear!");
        gameObject.SetActive(false);
        
    }
}
